Skip site navigation (1) Skip section navigation (2)

FW: [ pginstaller-Bugs-1000120 ] Install fails on NT4.0 Sp6

From: "David B(dot)" <incomex(at)hotmail(dot)com>
To: pgsql-novice(at)postgresql(dot)org
Subject: FW: [ pginstaller-Bugs-1000120 ] Install fails on NT4.0 Sp6
Date: 2004-10-14 02:10:03
Message-ID: BAY9-F456UnHAaaz7Ej00057d79@hotmail.com (view raw or flat)
Thread:
Lists: pgsql-novice
Sirs, please find below the conversation I originally had to report the bug.

I have been able to install, as he suggested, by disabling the cluster 
during install.
While in Administrator, I typed 'initdb.exe' at command line.
When I check Services, PG is there and the service is tagged as 'automatic'; 
however
the service is not started.
My understanding is that PG simply will not run in any account with admin 
privileges.
So the question is, if I am in Guest, where there are no admin privileges, 
how do I start
PG when I can't get to the Services screen to start it?

Is there a command line sequence I can use to start pg?  if so, do I need a 
log in name and
password combination stored somewhere?

My development station is not on the net and never will be, I really don't 
see why the
software simply won't run on Administrator, it's where all of my other 
development software is,
and most of it requires Admin privileges.  Do other DBMSs have this 
limitation?
How can IIS be up and running if I'm not in Admin?

Notwithstanding, I have two thick books I've found to help me along with PG 
development
and I am convinced that PG is definately the way to go, even with the 
temporary snafus
I'll run into.

I only plan on developing on NT, but distributing on a Mosix cluster, so I'm 
positive PG
will provide the stability and speed I need for my project.

thanks for any help.

David Burleigh
incomex(at)hotmail(dot)com

&gt;From: &lt;noreply(at)pgfoundry(dot)org&gt;
&gt;To: noreply(at)pgfoundry(dot)org
&gt;Subject: [ pginstaller-Bugs-1000120 ] Install fails on NT4.0 Sp6
&gt;Date: Wed, 13 Oct 2004 07:58:06 +0000 (GMT)
&gt;
&gt;Bugs item #1000120, was opened at 2004-10-12 01:01
&gt;You can respond by visiting:
&gt;http://pgfoundry.org/tracker/?func=detail&amp;atid=126&amp;aid=1000120&amp;group_id=1000007
&gt;
&gt;Category: None
&gt;Group: None
&gt;Status: Closed
&gt;Priority: 5
&gt;Submitted By: David Burnham-Leigh (incomex)
&gt;Assigned to: Magnus Hagander (mha)
&gt;Summary: Install fails on NT4.0 Sp6
&gt;
&gt;Initial Comment:
&gt;greetings,
&gt;
&gt;8.0 beta 2 dev 3 failed on install.  the fatal error was
&gt;&quot;Failed to Locate CreateProcessWithLogonW in advapi32.dll&quot;
&gt;
&gt;I did a search and found my advapi32.dll in \WinNT\System32.
&gt;
&gt;thanks
&gt;
&gt;incomex(at)hotmail(dot)com
&gt;
&gt;----------------------------------------------------------------------
&gt;
&gt; &gt;Comment By: Magnus Hagander (mha)
&gt;Date: 2004-10-13 09:58
&gt;
&gt;Message:
&gt;Logged In: YES
&gt;user_id=100003
&gt;
&gt;Just uncheck the box &quot;initialize database cluster&quot;.
&gt;(This will be encforced on NT4 in the next release)
&gt;
&gt;And no, there is no reasonable man page available, mainly because the 
installer changes so much between each beta release.
&gt;
&gt;There is the FAQ available on 
http://pginstaller.projects.postgresql.org, but that's about it. (Though 
that one states NT4 is not supported, so it would've helped you at least a 
little in this case. It will be more clearly referenced to in the 
installation instructions in the next beta)
&gt;
&gt;----------------------------------------------------------------------
&gt;
&gt;Comment By: David Burnham-Leigh (incomex)
&gt;Date: 2004-10-13 04:10
&gt;
&gt;Message:
&gt;Logged In: YES
&gt;user_id=100366
&gt;
&gt;How do I keep it from running initdb then?  is there, in essence, a man 
page I can go to that explains the installation process for NT?
&gt;
&gt;thanks
&gt;
&gt;----------------------------------------------------------------------
&gt;
&gt;Comment By: Magnus Hagander (mha)
&gt;Date: 2004-10-12 16:19
&gt;
&gt;Message:
&gt;Logged In: YES
&gt;user_id=100003
&gt;
&gt;The installer doesn ot support installation on NT4.
&gt;
&gt;The upcoming version of the installer will show this in a much nicer 
way, so people actually understand taht's the reason.
&gt;
&gt;You can still install as long as you don't have it run initdb.
&gt;
&gt;----------------------------------------------------------------------
&gt;
&gt;You can respond by visiting:
&gt;http://pgfoundry.org/tracker/?func=detail&amp;atid=126&amp;aid=1000120&amp;group_id=1000007



pgsql-novice by date

Next:From: Hari BhanujanDate: 2004-10-14 03:40:06
Subject: Re: connecting with pgAdmin II
Previous:From: Ron St-PierreDate: 2004-10-13 23:06:32
Subject: Re: Data Grid

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group